Skip to main content
GET
Retrieve Partner Subscription details for a specific id.

Headers

X-Aggregator-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Path Parameters

id
string
required

The id parameter is the partner subscription ID entity.

Maximum string length: 36

Query Parameters

aggregatorCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Response

OK

The information managed in MarketONE about partner service provisioning.

partnerSubscriptionId
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 256
partnerCustomerId
string
required

MarketONE unique customer identifier per partner.

Maximum string length: 256
organizationId
string
required

The ID of the aggregator organization in MarketONE for which this record was created.

Maximum string length: 50
accountId
string
required

The ID of the MarketONE account associated with this partner service record. This ID is not returned when the API is called with a partner API key. This will be returned withwhen the API is called with an aggregator API key.

Maximum string length: 128
subscriptionId
string
required

The id of the SLM subscription associated with this partner service.

Maximum string length: 128
subscriptionItemId
string
required

The id of the SLM subscription Item associated with this partner service.

Maximum string length: 128
externalPartnerSubscriptionId
string
required

The identifier returned by the partner from the "AddSubscription" callback.

Maximum string length: 256
partnerCode
string
required

The partner code as set by the partner admin in MarketONE.

Maximum string length: 15
productCode
string
required

The product code defined by the partner identified by partner code.

Maximum string length: 128
createdDate
string<datetime>
required

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

serviceStatus
enum<string>
required

Status of the partner service MarketONE information. UNPROVISIONED indicates that the record was created by the callback response was not received. INACTIVE indicates the provisioning callback was sucesfully received by the partner service, but it has not been claimed by any service user yet. ACTIVE indicates that the service entitlement has been sucesfully provisioned, and a partner service user has claimed it. CANCELLATION-IN-PROGRESS indicates that the a de-provisioning request is pending. CANCELLED indicates that the de-provisioning request confirmation has been received.

Available options:
UNPROVISIONED,
INACTIVE,
ACTIVE,
PAUSED,
UPDATE-IN-PROGRESS,
PAUSE-IN-PROGRESS,
RESUME-IN-PROGRESS,
CANCELLATION-IN-PROGRESS,
CANCELLED
Maximum string length: 50
accountVid
string

The id of the SLM subscription associated with this partner service given by SLM in its response.

Maximum string length: 128
subscriptionVid
string

The id of the SLM subscription associated with this partner service given by SLM in its response.

Maximum string length: 128
registrationString
string

Information that was sent to the partner as part of the "AddSubscription" callback; e.g. registration code

Maximum string length: 2048
redemptionCodeExpirationTime
string<datetime>

The timestamp (ISO 8601 format) when redemption code expires (optional)

partnerUrl
string

The optional response value that identifies the Url where user will be directed to for entering the registration code and completing the registration

Maximum string length: 2048
partnerTokenizedUrl
string

The optional response value that identifies the complete one click url that can be used by the user for activation of his partner subscription.

Maximum string length: 2048
slmProductCode
string

The offer code defined by the CSP and maintained in SLM.

Maximum string length: 128
updatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

startServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was created.

endServiceDate
string<datetime>

The timestamp (ISO 8601 format) when the partner service provisioning information record was updated.

activatedDate
string<datetime>

The timestamp (ISO 8601 format) when the partner subscription was activated (optional)

state
enum<string>

Current state of the calls in regards to Create, Cancel and Reprovision Subscriptions. Used for state machine orchestration for MarketONE managed subscriptions.

Available options:
PROVISION-PENDING,
PROVISION-FAILED,
PROVISION-COMPLETE,
CANCELLATION-PENDING,
CANCELLATION-FAILED,
CANCELLATION-COMPLETE,
CANCELLATION-FAILED-PROVISION,
UPDATE-PENDING-ACTIVE,
UPDATE-PENDING-INACTIVE,
UPDATE-FAILED-ACTIVE,
UPDATE-FAILED-INACTIVE,
UPDATE-COMPLETE,
UPDATE-METADATA-PENDING-ACTIVE,
UPDATE-METADATA-PENDING-INACTIVE,
UPDATE-METADATA-FAILED-ACTIVE,
UPDATE-METADATA-FAILED-INACTIVE,
PAUSE-PENDING-ACTIVE,
PAUSE-PENDING-INACTIVE,
PAUSE-FAILED-ACTIVE,
PAUSE-FAILED-INACTIVE,
PAUSE-FAILED-COMPENSATE-BY-RESUME,
PAUSE-COMPLETE-ACTIVE,
PAUSE-COMPLETE-INACTIVE,
RESUME-PENDING-ACTIVE,
RESUME-PENDING-INACTIVE,
RESUME-FAILED-ACTIVE,
RESUME-FAILED-INACTIVE,
RESUME-COMPLETE,
PARTNER-CANCELLED,
PARTNER-UPDATED,
PARTNER-INITIATED-SUBSCRIPTION-CANCEL-STARTED,
PARTNER-INITIATED-SUBSCRIPTION-CANCEL-COMPLETE,
PARTNER-INITIATED-SUBSCRIPTION-CANCEL-FAILED,
CANCEL-CSP-EVENT-SENT-FOR-INACTIVITY,
ACTIVATION-FAILED,
AUTO-CANCEL-DUE-TO-INACTIVITY
Maximum string length: 50
billingStatus
enum<string>

The status of the OTT billing partner subscription. PENDING-VALIDATION - the BILLING partner subscription creation was requested by the OTT partner and it requires validation, MarketONE triggered the OTP notification, aggregator sends the OTP to the consumer. The customer aggregator account details have not yet been validated as being correct. E.g. a MSISDN was provided, but we have not yet verified it belongs to the user. PENDING-CONFIRMATION - MarketONE successfully validated the BILLING partner subscription. All the BILLING partner subscription details are validated at this point, MarketONE awaiting confirmation from the customer via the OTT partner that they wish this partner subscription to be active for billing. ACTIVE - the BILLING partner subscription is available for billing CANCELLED - the BILLING partner subscription was canceled and can no longer be used for charges, but may be used for refunds if it had previously been active.

Available options:
PENDING-VALIDATION,
PENDING-CONFIRMATION,
ACTIVE,
CANCELLED
Maximum string length: 50
type
enum<string>

the type of the partner subscription record; ENTITLEMENT - is when the partner subscription is represeting a entitlement relationship; BILLING - when the partner subscription is representing a billing relationship.

Available options:
ENTITLEMENT,
BILLING
billingPaymentMethod
string

A unique identifier.

Maximum string length: 128